Loading...
Searching...
No Matches
gx_engine::GxEngine Class Reference

`#include <gx_engine.h>`

Inheritance diagram for gx_engine::GxEngine:

## Public Member Functions

| GxEngine (const string &plugin_dir, ParameterGroups &groups, const gx_system::CmdlineOptions &options)
| ~GxEngine ()
void | ladspaloader_update_plugins ()
sigc::signal< void, Plugin *, PluginChange::pc > & | signal_plugin_changed ()
std::vector< Glib::ustring > & | get_file_list_by_id (const std::string &id)
Public Member Functions inherited from gx_engine::ModuleSequencer
| ModuleSequencer ()
| ~ModuleSequencer ()
void | clear_module_states ()
virtual void | set_samplerate (unsigned int samplerate)
virtual void | start_ramp_up ()
virtual void | start_ramp_down ()
virtual void | wait_ramp_down_finished ()
void | ramp_down ()
void | set_down_dead ()
bool | prepare_module_lists ()
void | commit_module_lists ()
virtual void | set_rack_changed ()
virtual bool | update_module_lists ()
bool | check_module_lists ()
virtual void | overload (OverloadType tp, const char *reason)
void | set_stateflag (StateFlag flag)
void | clear_stateflag (StateFlag flag)
void | set_state (GxEngineState state)
GxEngineState | get_state ()
sigc::signal< void, GxEngineState > & | signal_state_change ()
void | print_engine_state ()
Public Member Functions inherited from gx_engine::EngineControl
| EngineControl ()
| ~EngineControl ()
void | init (unsigned int samplerate, unsigned int buffersize, int policy, int priority)
void | set_samplerate (unsigned int samplerate_)
unsigned int | get_samplerate ()
void | set_buffersize (unsigned int buffersize_)
unsigned int | get_buffersize ()
void | clear_rack_changed ()
bool | get_rack_changed ()
sigc::signal< void, unsigned int > & | signal_buffersize_change ()
sigc::signal< void, unsigned int > & | signal_samplerate_change ()
void | add_selector (ModuleSelector &sel)
void | registerParameter (ParameterGroups &groups)
void | get_sched_priority (int &policy, int &priority, int prio_dim=0)
ParamMap & | get_param ()

## Public Attributes

MidiControllerList | controller_map
ModuleSelectorFromList | crybaby
ModuleSelectorFromList | wah
ModuleSelectorFromList | tonestack
ModuleSelectorFromList | ampstack
ModuleSelectorFromList | poweramps
NoiseGate | noisegate
OutPutGate | outputgate
MonoMute | monomute
StereoMute | stereomute
TunerAdapter | tuner
Drumout | drumout
Directout | directout
MaxLevel | maxlevel
OscilloscopeAdapter | oscilloscope
ConvolverMonoAdapter | mono_convolver
ConvolverStereoAdapter | stereo_convolver
CabinetConvolver | cabinet
CabinetStereoConvolver | cabinet_st
PreampConvolver | preamp
PreampStereoConvolver | preamp_st
ContrastConvolver | contrast
LiveLooper | loop
SCapture | record
SCapture | record_st
DrumSequencer | dseq
smbPitchShift | detune
NeuralAmp | neural_amp
NeuralAmp | sneural_amp
NeuralAmpMulti | mneural_amp
RtNeural | rtneural
RtNeural | srtneural
RtNeuralMulti | rtneuralmulti
Public Attributes inherited from gx_engine::ModuleSequencer
MonoModuleChain | mono_chain
StereoModuleChain | stereo_chain
Public Attributes inherited from gx_engine::EngineControl
ParallelThread | pro
PluginList | pluginlist

## Private Member Functions

void | load_static_plugins ()

## Private Attributes

gx_resample::BufferResampler | resamp
sigc::signal< void, Plugin *, PluginChange::pc > | plugin_changed
LadspaLoader | ladspaloader
std::vector< Glib::ustring > | list

## Additional Inherited Members

Public Types inherited from gx_engine::ModuleSequencer
enum | StateFlag { SF_NO_CONNECTION = 0x01 , SF_JACK_RECONFIG = 0x02 , SF_INITIALIZING = 0x04 , SF_OVERLOAD = 0x08 }
Public Types inherited from gx_engine::EngineControl
enum | OverloadType { ov_User = 0x1 , ov_Convolver = 0x2 , ov_XRun = 0x4 , ov_NoWarn = 0x8 }
Static Public Member Functions inherited from gx_engine::ModuleSequencer
static void | set_overload_interval (int i)
Protected Member Functions inherited from gx_engine::ModuleSequencer
void | check_overload ()
Protected Attributes inherited from gx_engine::ModuleSequencer
int | audio_mode
boost::mutex | stateflags_mutex
int | stateflags
sigc::signal< void, GxEngineState > | state_change
Glib::Dispatcher | overload_detected
const char * | overload_reason
int | ov_disabled
Protected Attributes inherited from gx_engine::EngineControl
list< ModuleSelector * > | selectors
sigc::connection | rack_changed
ParamMap | pmap
int | policy
int | priority
sigc::signal< void, unsigned int > | buffersize_change
sigc::signal< void, unsigned int > | samplerate_change
unsigned int | buffersize
unsigned int | samplerate
Static Protected Attributes inherited from gx_engine::ModuleSequencer
static int | sporadic_interval

## Detailed Description

Definition at line 70 of file gx_engine.h.

## Constructor & Destructor Documentation

## GxEngine()

gx_engine::GxEngine::GxEngine | ( | const string & | plugin_dir,
|  | ParameterGroups & | groups,
|  | const gx_system::CmdlineOptions & | options )

## ~GxEngine()

gx_engine::GxEngine::~GxEngine | ( |  | ) |

## Member Function Documentation

## get_file_list_by_id()

std::vector< Glib::ustring > & gx_engine::GxEngine::get_file_list_by_id | ( | const std::string & | id | ) |

## ladspaloader_update_plugins()

void gx_engine::GxEngine::ladspaloader_update_plugins | ( |  | ) |

## load_static_plugins()

void gx_engine::GxEngine::load_static_plugins | ( |  | ) |

private

## signal_plugin_changed()

sigc::signal< void, Plugin *, PluginChange::pc > & gx_engine::GxEngine::signal_plugin_changed | ( |  | ) |

inline

Definition at line 122 of file gx_engine.h.

## Member Data Documentation

## ampstack

ModuleSelectorFromList gx_engine::GxEngine::ampstack

Definition at line 83 of file gx_engine.h.

## cabinet

CabinetConvolver gx_engine::GxEngine::cabinet

Definition at line 99 of file gx_engine.h.

## cabinet_st

CabinetStereoConvolver gx_engine::GxEngine::cabinet_st

Definition at line 100 of file gx_engine.h.

## contrast

ContrastConvolver gx_engine::GxEngine::contrast

Definition at line 103 of file gx_engine.h.

## controller_map

MidiControllerList gx_engine::GxEngine::controller_map

Definition at line 78 of file gx_engine.h.

## crybaby

ModuleSelectorFromList gx_engine::GxEngine::crybaby

Definition at line 80 of file gx_engine.h.

## detune

smbPitchShift gx_engine::GxEngine::detune

Definition at line 110 of file gx_engine.h.

## directout

Directout gx_engine::GxEngine::directout

Definition at line 94 of file gx_engine.h.

## drumout

Drumout gx_engine::GxEngine::drumout

Definition at line 92 of file gx_engine.h.

## dseq

DrumSequencer gx_engine::GxEngine::dseq

Definition at line 108 of file gx_engine.h.

## ladspaloader

LadspaLoader gx_engine::GxEngine::ladspaloader

private

Definition at line 74 of file gx_engine.h.

## list

std::vector<Glib::ustring> gx_engine::GxEngine::list

private

Definition at line 76 of file gx_engine.h.

## loop

LiveLooper gx_engine::GxEngine::loop

Definition at line 104 of file gx_engine.h.

## maxlevel

MaxLevel gx_engine::GxEngine::maxlevel

Definition at line 95 of file gx_engine.h.

## mneural_amp

NeuralAmpMulti gx_engine::GxEngine::mneural_amp

Definition at line 113 of file gx_engine.h.

## mono_convolver

ConvolverMonoAdapter gx_engine::GxEngine::mono_convolver

Definition at line 97 of file gx_engine.h.

## monomute

MonoMute gx_engine::GxEngine::monomute

Definition at line 88 of file gx_engine.h.

## neural_amp

NeuralAmp gx_engine::GxEngine::neural_amp

Definition at line 111 of file gx_engine.h.

## noisegate

NoiseGate gx_engine::GxEngine::noisegate

Definition at line 86 of file gx_engine.h.

## oscilloscope

OscilloscopeAdapter gx_engine::GxEngine::oscilloscope

Definition at line 96 of file gx_engine.h.

## outputgate

OutPutGate gx_engine::GxEngine::outputgate

Definition at line 87 of file gx_engine.h.

## plugin_changed

sigc::signal<void,Plugin*,PluginChange::pc> gx_engine::GxEngine::plugin_changed

private

Definition at line 73 of file gx_engine.h.

Referenced by signal_plugin_changed().

## poweramps

ModuleSelectorFromList gx_engine::GxEngine::poweramps

Definition at line 84 of file gx_engine.h.

## preamp

PreampConvolver gx_engine::GxEngine::preamp

Definition at line 101 of file gx_engine.h.

## preamp_st

PreampStereoConvolver gx_engine::GxEngine::preamp_st

Definition at line 102 of file gx_engine.h.

## record

SCapture gx_engine::GxEngine::record

Definition at line 106 of file gx_engine.h.

## record_st

SCapture gx_engine::GxEngine::record_st

Definition at line 107 of file gx_engine.h.

## resamp

gx_resample::BufferResampler gx_engine::GxEngine::resamp

private

Definition at line 72 of file gx_engine.h.

## rtneural

RtNeural gx_engine::GxEngine::rtneural

Definition at line 114 of file gx_engine.h.

## rtneuralmulti

RtNeuralMulti gx_engine::GxEngine::rtneuralmulti

Definition at line 116 of file gx_engine.h.

## sneural_amp

NeuralAmp gx_engine::GxEngine::sneural_amp

Definition at line 112 of file gx_engine.h.

## srtneural

RtNeural gx_engine::GxEngine::srtneural

Definition at line 115 of file gx_engine.h.

## stereo_convolver

ConvolverStereoAdapter gx_engine::GxEngine::stereo_convolver

Definition at line 98 of file gx_engine.h.

## stereomute

StereoMute gx_engine::GxEngine::stereomute

Definition at line 89 of file gx_engine.h.

## tonestack

ModuleSelectorFromList gx_engine::GxEngine::tonestack

Definition at line 82 of file gx_engine.h.

## tuner

TunerAdapter gx_engine::GxEngine::tuner

Definition at line 90 of file gx_engine.h.

## wah

ModuleSelectorFromList gx_engine::GxEngine::wah

Definition at line 81 of file gx_engine.h.

The documentation for this class was generated from the following file:

- src/headers/gx_engine.h